package com.pcloud.book.adnews.dao;

import com.pcloud.book.adnews.entity.AdNewsGroup;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface AdNewsGroupDao extends BaseDao<AdNewsGroup> {

    Integer batchInsert(List<AdNewsGroup> adNewsGroups);

    void deleteByAdNewsSetId(Long adNewsSetId);

    /**
     * 获取勾选关联的社群
     * @param adNewsSetId
     * @return
     */
    List<AdNewsGroup> getListByAdNewsSetId(Long adNewsSetId);
}
